Bug 106550 - "file -z" hangs on examining some gzipped files
"file -z" hangs on examining some gzipped files
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: file (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-08 07:09 EDT by Robert P. J. Day
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-16 14:27:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert P. J. Day 2003-10-08 07:09:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.4)
Gecko/20030624 Netscape/7.1 (ax)

Description of problem:
  file command hangs on examining some compressed files with the "-z" option. 
on my system:

$ ls -l /usr/bin > lsl
$ gzip lzl
$ file lzl.gz      # this works
$ fils -z lsl.gz   # this hangs

 "file -z" seems to work on short files, but inexplicably hangs on the above. 
(at least, after 20 seconds, i feel it's safe to kill it.)

Version-Release number of selected component (if applicable):
file-4.02-2

How reproducible:
Always

Steps to Reproduce:
1. ls -l /usr/bin > lsl
2. gzip lsl
3. file -z lsl.gz
    

Additional info:
Comment 1 Bill Nottingham 2003-10-08 18:26:44 EDT
Probably a dup of bug 106424 - does upgrading zlib fix it?
Comment 2 Jeff Johnson 2003-10-09 09:24:15 EDT
No, zlib-1.2.0.7-2 upgrade does not fix.

strace indicates gzip exec and probable child-before-parent problem.

Hmmm, HAVE_LIBZ is deliberately undef'd, dunno.

Off to look at file-4.04.
Comment 3 Jeff Johnson 2003-10-09 09:39:15 EDT
Yup, nuking the line
   #undef HAVE_LIBZ
in src/compress.c restores file -z functionality.

child-before-parent problem prolly still exists however.
Comment 4 Jeff Johnson 2003-12-16 14:27:01 EST
FIxed in file-4.06-1.

Note You need to log in before you can comment on or make changes to this bug.